Bug 865745 - Integrate hooks version with cluster op version
Integrate hooks version with cluster op version
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2012-10-12 06:06 EDT by krishnan parthasarathi
Modified: 2015-11-03 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description krishnan parthasarathi 2012-10-12 06:06:14 EDT
Description of problem:
Glusterd would have a mechanism to work seamlessly in cluster of glusterd's of different op-versions[1] (provided they are compatible).

Hooks version was introduced only to identify and maintain the runtime guarantees. This is tied to the implementation of glusterd and it only makes sense to integrate hooks version to op-version.
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
[1] - http://www.gluster.org/community/documentation/index.php/Features/Opversion
Comment 1 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.